summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /app-portage/portage-utils
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'app-portage/portage-utils')
-rw-r--r--app-portage/portage-utils/Manifest4
-rw-r--r--app-portage/portage-utils/files/portage-utils-0.56-qcheck-tz.patch31
-rw-r--r--app-portage/portage-utils/files/portage-utils-0.56-qlop-tz.patch39
-rwxr-xr-xapp-portage/portage-utils/files/post_sync8
-rw-r--r--app-portage/portage-utils/files/q-reinitialize3
-rw-r--r--app-portage/portage-utils/metadata.xml7
-rw-r--r--app-portage/portage-utils/portage-utils-0.53.ebuild76
-rw-r--r--app-portage/portage-utils/portage-utils-0.54.ebuild76
-rw-r--r--app-portage/portage-utils/portage-utils-0.55.ebuild76
-rw-r--r--app-portage/portage-utils/portage-utils-0.56.ebuild80
10 files changed, 400 insertions, 0 deletions
diff --git a/app-portage/portage-utils/Manifest b/app-portage/portage-utils/Manifest
new file mode 100644
index 00000000000..27d9ea50834
--- /dev/null
+++ b/app-portage/portage-utils/Manifest
@@ -0,0 +1,4 @@
+DIST portage-utils-0.53.tar.xz 404040 SHA256 876653e795af89aeadfac1206403b1ed9543f3ac75232459d4e597e20f236c04 SHA512 5965c39572dd476bde2668a4a643d6c44da47d822f75201efbaf10a8dbb02a5bb0210ef95519b99d762106caf6f3440f78312327516d33fa8551139104483259 WHIRLPOOL 115f9e67962b890e9027ba2b16ffb7c282426a514a0272e279fb2d171152cd54638e6fb94df4121f72d84b59ed3713e05d177ed29cacddd0070d555671d21e42
+DIST portage-utils-0.54.tar.xz 510528 SHA256 d3cd50e822253008c83e871ee53e83f4fa3dcfbfa25799ec48a8dcf37ac67928 SHA512 4e7b01cff96744f767a0892df5fd2f28c17a619aac1912a2f1ebb91c0706367cb02eb478e9192e6f4fb9a22956d8fb6256497b03086938f26efcd0ba27e8c1ff WHIRLPOOL 04ea363f9867896226040c9011168ea2755f67706400f9a1d183e1a8a46e97dd9f8ff3e225c933d8c01d609da72c2a2ed7ec15b050bee4c5fbd12f187b1dabf1
+DIST portage-utils-0.55.tar.xz 513336 SHA256 4754aaeda32cc9aaf2fa3943badde51caf84ccf2e03129bd2dc2a5459936baff SHA512 25a5ceabc03b264ff2210ced8307c5a73c739ea3be74ba65f59c70372255e055ccbe25f565420ee1d61490b0baa43d6af8151f8c0a47b3c67a4ff7fff1fce2d0 WHIRLPOOL b437d09cbda38ede3d233639cbada731ac5beef5201db1de37bc80f0041935b141454205d89e31db4b2ddf9c82ec356343d1ce4ee6f937f1679f95225da8910d
+DIST portage-utils-0.56.tar.xz 513832 SHA256 4df7323fb2667dd9bcee0f2d169c01ed8600aa6196118e6cd3a10cfe99852bbf SHA512 f2136a7df4cd91499b135fbf000f81a71177d5a39b4da2db484ab0f9492d152eaa72a5fee0e56d4b58611462e251905e554f5e41890a749f05d19e50c16c77b6 WHIRLPOOL af0a96ca3bf2dd39335317829aa8aff110a63042c415368400977e974cc21163da7eb76f7d53fcd05e133fd8a8568255ba022a32f1b174bda0dcb15b5f1476b9
diff --git a/app-portage/portage-utils/files/portage-utils-0.56-qcheck-tz.patch b/app-portage/portage-utils/files/portage-utils-0.56-qcheck-tz.patch
new file mode 100644
index 00000000000..5b493b680ba
--- /dev/null
+++ b/app-portage/portage-utils/files/portage-utils-0.56-qcheck-tz.patch
@@ -0,0 +1,31 @@
+From 359fe5097ca531291a2cbb878dc6940351a7a358 Mon Sep 17 00:00:00 2001
+From: Mike Frysinger <vapier@gentoo.org>
+Date: Thu, 11 Jun 2015 09:51:22 +0000
+Subject: [PATCH] tests: qcheck: fix timezone handling
+
+Make sure the stamps are pinned to UTC rather than using the active TZ.
+
+URL: https://bugs.gentoo.org/551718
+Reported-by: Jeroen Roovers <jer@gentoo.org>
+---
+ tests/qcheck/dotest | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/tests/qcheck/dotest b/tests/qcheck/dotest
+index 965a5b5..9122321 100755
+--- a/tests/qcheck/dotest
++++ b/tests/qcheck/dotest
+@@ -10,8 +10,8 @@ export Q_VDB=/
+ # This is the "valid" mtime the test packages have hardcoded in the CONTENTS
+ # files. The stamp is the CONTENTS while the touch date is the corresponding
+ # unpacked date.
+-STAMP=1398954900 DATE=201405011035
+-find "${ROOT}" -exec touch -h -t "${DATE}" {} +
++STAMP=1398954900 DATE='2014-05-01T14:35:00Z'
++find "${ROOT}" -exec touch -h -d "${DATE}" {} +
+
+ mktmpdir
+
+--
+2.4.1
+
diff --git a/app-portage/portage-utils/files/portage-utils-0.56-qlop-tz.patch b/app-portage/portage-utils/files/portage-utils-0.56-qlop-tz.patch
new file mode 100644
index 00000000000..d812daa574b
--- /dev/null
+++ b/app-portage/portage-utils/files/portage-utils-0.56-qlop-tz.patch
@@ -0,0 +1,39 @@
+From 286688cb68c9989f697203ca779b08fad23366db Mon Sep 17 00:00:00 2001
+From: Mike Frysinger <vapier@gentoo.org>
+Date: Fri, 12 Jun 2015 05:05:41 -0400
+Subject: [PATCH] tests: force TZ to UTC for everyone
+
+This should make test outputs more stable across systems.
+
+URL: https://bugs.gentoo.org/551806
+Reported-by: Nikoli <nikoli@gmx.us>
+---
+ tests/init.sh | 2 ++
+ tests/qlop/list01.good | 4 ++--
+ 2 files changed, 4 insertions(+), 2 deletions(-)
+
+diff --git a/tests/init.sh b/tests/init.sh
+index b3f634e..11fd379 100644
+--- a/tests/init.sh
++++ b/tests/init.sh
+@@ -33,6 +33,8 @@ setup_env
+ unset ROOT PORTAGE_CONFIGROOT PORTAGE_QUIET
+ # but make sure we don't implicitly rely on user's setup
+ export PORTAGE_CONFIGROOT="${ab}/not/a/real/path"
++# Always use UTC for timestamps to keep tests stable. #551806
++export TZ='UTC 0'
+
+ q -i -q
+
+diff --git a/tests/qlop/list01.good b/tests/qlop/list01.good
+index 458c751..fc8683c 100644
+--- a/tests/qlop/list01.good
++++ b/tests/qlop/list01.good
+@@ -1,2 +1,2 @@
+-Thu Jan 27 00:42:17 2005 >>> rsync://192.168.0.5/gentoo-portage
+-Sat May 16 04:21:00 2015 >>> gentoo
++Thu Jan 27 05:42:17 2005 >>> rsync://192.168.0.5/gentoo-portage
++Sat May 16 08:21:00 2015 >>> gentoo
+--
+2.4.1
+
diff --git a/app-portage/portage-utils/files/post_sync b/app-portage/portage-utils/files/post_sync
new file mode 100755
index 00000000000..e94ea5d0257
--- /dev/null
+++ b/app-portage/portage-utils/files/post_sync
@@ -0,0 +1,8 @@
+#!/bin/sh
+# Copyright 2006-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+for f in /etc/portage/postsync.d/* ; do
+ [ -x "${f}" ] && "${f}"
+done
+:
diff --git a/app-portage/portage-utils/files/q-reinitialize b/app-portage/portage-utils/files/q-reinitialize
new file mode 100644
index 00000000000..7bca1a86b3a
--- /dev/null
+++ b/app-portage/portage-utils/files/q-reinitialize
@@ -0,0 +1,3 @@
+#!/bin/sh
+[ -x /usr/bin/q ] && /usr/bin/q -r ${PORTAGE_QUIET:+-q}
+:
diff --git a/app-portage/portage-utils/metadata.xml b/app-portage/portage-utils/metadata.xml
new file mode 100644
index 00000000000..5480650ca45
--- /dev/null
+++ b/app-portage/portage-utils/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>portage-utils@gentoo.org</email>
+</maintainer>
+</pkgmetadata>
diff --git a/app-portage/portage-utils/portage-utils-0.53.ebuild b/app-portage/portage-utils/portage-utils-0.53.ebuild
new file mode 100644
index 00000000000..657cb621349
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.53.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit flag-o-matic toolchain-funcs eutils
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Portage-utils"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+ http://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_prepare() {
+ epatch_user
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ # Avoid slow configure+gnulib+make if on an up-to-date Linux system
+ if use prefix || ! use kernel_linux || \
+ has_version '<sys-libs/glibc-2.10'
+ then
+ econf --with-eprefix="${EPREFIX}"
+ else
+ tc-export CC
+ fi
+}
+
+src_compile() {
+ emake NLS=$(usex nls)
+}
+
+src_install() {
+ default
+
+ exeinto /etc/portage/bin
+ doexe "${FILESDIR}"/post_sync
+ insinto /etc/portage/postsync.d
+ doins "${FILESDIR}"/q-reinitialize
+
+ # Portage fixes shebangs, we just need to fix the paths in the files
+ sed -i \
+ -e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+ "${ED}"/etc/portage/bin/post_sync \
+ "${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+ # preserve +x bit on postsync files #301721
+ local x
+ pushd "${ED}" >/dev/null
+ for x in etc/portage/postsync.d/* ; do
+ [[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+ done
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+ elog "If you wish for it to be automatically run at the end of every --sync:"
+ elog " # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+ elog "Normally this should only take a few seconds to run but file systems"
+ elog "such as ext3 can take a lot longer. To disable, simply do:"
+ elog " # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+ fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.54.ebuild b/app-portage/portage-utils/portage-utils-0.54.ebuild
new file mode 100644
index 00000000000..f26e63454c0
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.54.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit flag-o-matic toolchain-funcs eutils
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Portage-utils"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+ http://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_prepare() {
+ epatch_user
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ # Avoid slow configure+gnulib+make if on an up-to-date Linux system
+ if use prefix || ! use kernel_linux || \
+ has_version '<sys-libs/glibc-2.10'
+ then
+ econf --with-eprefix="${EPREFIX}"
+ else
+ tc-export CC
+ fi
+}
+
+src_compile() {
+ emake NLS=$(usex nls)
+}
+
+src_install() {
+ default
+
+ exeinto /etc/portage/bin
+ doexe "${FILESDIR}"/post_sync
+ insinto /etc/portage/postsync.d
+ doins "${FILESDIR}"/q-reinitialize
+
+ # Portage fixes shebangs, we just need to fix the paths in the files
+ sed -i \
+ -e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+ "${ED}"/etc/portage/bin/post_sync \
+ "${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+ # preserve +x bit on postsync files #301721
+ local x
+ pushd "${ED}" >/dev/null
+ for x in etc/portage/postsync.d/* ; do
+ [[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+ done
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+ elog "If you wish for it to be automatically run at the end of every --sync:"
+ elog " # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+ elog "Normally this should only take a few seconds to run but file systems"
+ elog "such as ext3 can take a lot longer. To disable, simply do:"
+ elog " # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+ fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.55.ebuild b/app-portage/portage-utils/portage-utils-0.55.ebuild
new file mode 100644
index 00000000000..f26e63454c0
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.55.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit flag-o-matic toolchain-funcs eutils
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Portage-utils"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+ http://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls static"
+
+DEPEND="app-arch/xz-utils"
+RDEPEND=""
+
+src_prepare() {
+ epatch_user
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ # Avoid slow configure+gnulib+make if on an up-to-date Linux system
+ if use prefix || ! use kernel_linux || \
+ has_version '<sys-libs/glibc-2.10'
+ then
+ econf --with-eprefix="${EPREFIX}"
+ else
+ tc-export CC
+ fi
+}
+
+src_compile() {
+ emake NLS=$(usex nls)
+}
+
+src_install() {
+ default
+
+ exeinto /etc/portage/bin
+ doexe "${FILESDIR}"/post_sync
+ insinto /etc/portage/postsync.d
+ doins "${FILESDIR}"/q-reinitialize
+
+ # Portage fixes shebangs, we just need to fix the paths in the files
+ sed -i \
+ -e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+ "${ED}"/etc/portage/bin/post_sync \
+ "${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+ # preserve +x bit on postsync files #301721
+ local x
+ pushd "${ED}" >/dev/null
+ for x in etc/portage/postsync.d/* ; do
+ [[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+ done
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+ elog "If you wish for it to be automatically run at the end of every --sync:"
+ elog " # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+ elog "Normally this should only take a few seconds to run but file systems"
+ elog "such as ext3 can take a lot longer. To disable, simply do:"
+ elog " # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+ fi
+}
diff --git a/app-portage/portage-utils/portage-utils-0.56.ebuild b/app-portage/portage-utils/portage-utils-0.56.ebuild
new file mode 100644
index 00000000000..410c1cd545a
--- /dev/null
+++ b/app-portage/portage-utils/portage-utils-0.56.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit flag-o-matic toolchain-funcs eutils
+
+DESCRIPTION="small and fast portage helper tools written in C"
+HOMEPAGE="https://wiki.gentoo.org/wiki/Portage-utils"
+SRC_URI="mirror://gentoo/${P}.tar.xz
+ http://dev.gentoo.org/~vapier/dist/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="nls static"
+
+RDEPEND="dev-libs/iniparser"
+DEPEND="${RDEPEND}
+ app-arch/xz-utils
+ static? ( dev-libs/iniparser[static-libs] )"
+
+src_prepare() {
+ epatch "${FILESDIR}"/${P}-qcheck-tz.patch #551718
+ epatch "${FILESDIR}"/${P}-qlop-tz.patch #551806
+ epatch_user
+}
+
+src_configure() {
+ use static && append-ldflags -static
+
+ # Avoid slow configure+gnulib+make if on an up-to-date Linux system
+ if use prefix || ! use kernel_linux || \
+ has_version '<sys-libs/glibc-2.10'
+ then
+ econf --with-eprefix="${EPREFIX}"
+ else
+ tc-export CC
+ fi
+}
+
+src_compile() {
+ emake NLS=$(usex nls)
+}
+
+src_install() {
+ default
+
+ exeinto /etc/portage/bin
+ doexe "${FILESDIR}"/post_sync
+ insinto /etc/portage/postsync.d
+ doins "${FILESDIR}"/q-reinitialize
+
+ # Portage fixes shebangs, we just need to fix the paths in the files
+ sed -i \
+ -e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
+ "${ED}"/etc/portage/bin/post_sync \
+ "${ED}"/etc/portage/postsync.d/q-reinitialize || die
+}
+
+pkg_preinst() {
+ # preserve +x bit on postsync files #301721
+ local x
+ pushd "${ED}" >/dev/null
+ for x in etc/portage/postsync.d/* ; do
+ [[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
+ done
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
+ elog "If you wish for it to be automatically run at the end of every --sync:"
+ elog " # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+ elog "Normally this should only take a few seconds to run but file systems"
+ elog "such as ext3 can take a lot longer. To disable, simply do:"
+ elog " # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
+ fi
+}